Skip to content

Token Information
Deprecated

Request

Returns the enterprise, user, and other resource information associated with your API token.

⚠️ Deprecation Notice: This endpoint is deprecated. To confirm the user and enterprise bound to your credentials, use GET /user_info/.

Security
esper_cloud_api_apiKey
cURL
curl -i -X GET \
  https://api.esper.io/_mock/openapi/v1/token-info/ \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

successful operation

Bodyapplication/json
idstring, (integer)(Id)read-onlyrequired

Token id

enterprisestring, (uuid)(Enterprise id)read-onlyrequired

Id of the enterprise resource

userstring(User id)read-only

Id of the user resource

developer_appstring, (uuid)(Developer app id)read-only

Id of the developer app resource that you created using the esper dev console

source_refresh_tokenstring(Refresh token)read-only

The refresh token is used to refresh your expired API token

tokenstring(API Token)read-only

API token for accessing esper APIs

expires_onstring, (date-time)(API token expiry)read-only

Date and time of when your API token will get expired

scopeArray of strings(Scope of API token)read-only

This defines what access scopes does your API token has

created_onstring, (date-time)(Created on)read-only

Date and time of when this resource was created

updated_onstring, (date-time)(Updated on)read-only

Date and time of when this resource was updated

Response
{ "id": "string", "enterprise": "796caaf9-a7de-4817-9ffa-39d04bf83de9", "user": "string", "developer_app": "d06f4db7-a9a1-4aa6-9611-5383a83cd974", "source_refresh_token": "string", "token": "string", "expires_on": "2019-08-24T14:15:22Z", "scope": [ "string" ], "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }